package org.dromara.common.web.core;

import com.baomidou.mybatisplus.core.metadata.IPage;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangqx
 * @description TODO
 * @date 2022/6/16
 */
public interface IBusiness<V,B>{
    /**
     * 保存
     * @param t
     * @return
     */
    boolean save(B t);

    V  info(Serializable id);

    List<V>  list(B d);

    IPage<V> page( B d);

    boolean delete(Serializable id);
}
